#!/bin/bash

jump_server_ip="10.12.0.4"
jump_nfs_dir="/share_data"
h100_nfs_dir="/share_data"
nginx_catalog="http://139.159.96.26/"

printf "==========\n正在更新源\n==========\n"

echo "Acquire::http::Proxy \"http://$jump_server_ip:3142\";" > /etc/apt/apt.conf.d/02proxy
apt update -y
apt install make -y
apt install gcc -y
apt install python3-pip -y

printf "==========\n正在挂载共享磁盘\n==========\n"
mkdir -p $h100_nfs_dir
apt install nfs-common -y
echo "$jump_server_ip:$jump_nfs_dir $h100_nfs_dir nfs defaults 0 0" >> /etc/fstab
mount -a

printf "==========\n正在创建pip代理\n==========\n"
mkdir -p ~/.pip
echo "[global]
index-url = http://$jump_server_ip:48080/root/dev/
trusted-host = $jump_server_ip">~/.pip/pip.conf
